# Variable recalculate_for_stored

recalculate_for_stored: (table: Table, where?: Where) => Promise<void>

#### Type Declaration

- - (table: Table, where?: Where): Promise<void>

  - Recalculate calculated columns that are stored in db

    #### Parameters

    - table: Table

      table object

    - `Optional` where: Where

    #### Returns Promise<void>

- Defined in packages/saltcorn-data/models/index.ts:89